<template>
  <span style="color:#999999;cursor:pointer" @click="handle">删除</span>
</template>

<script>
import removeFile from '@/utils/removeFile'
export default {
  name: '',
  data() {
    return {
    };
  },
  computed: {
  },
  watch: {
  },
  props: { obj: Object, deleteFile: Function },
  methods: {
    //删除文件
    async handle() {
      let res = removeFile.removeFileList([this.obj])
      this.tool.showMessage(res,() => {
        this.$emit("deleteFile", this.obj.linksid)
      })
    },
  },
};
</script>

<style scoped>
</style>
